GNU bug report logs - #45020
[PATCH 0/2] image: Add system field.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mathieu Othacehe <othacehe@HIDDEN>; Keywords: patch; merged with #45021, #45022; dated Thu, 3 Dec 2020 10:55:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 45020 <at> debbugs.gnu.org:


Received: (at 45020) by debbugs.gnu.org; 12 Dec 2020 18:33:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 13:33:09 2020
Received: from localhost ([127.0.0.1]:46453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ko9hd-0000WF-K4
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2020 13:33:09 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ko9hG-0000Sx-1s
 for 45020 <at> debbugs.gnu.org; Sat, 12 Dec 2020 13:32:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48126)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1ko9h9-000702-4O; Sat, 12 Dec 2020 13:32:39 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=34600 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1ko93C-000236-Cb; Sat, 12 Dec 2020 12:51:22 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: [bug#45020] [PATCH 0/2] image: Add system field.
References: <20201203105353.149482-1-othacehe@HIDDEN>
 <87eejw5lsn.fsf@HIDDEN> <87h7orpgsh.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 22 Frimaire an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 12 Dec 2020 18:51:21 +0100
In-Reply-To: <87h7orpgsh.fsf@HIDDEN> (Mathieu Othacehe's message of "Sat, 12
 Dec 2020 09:30:54 +0100")
Message-ID: <87czze3obq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45020
Cc: dannym@HIDDEN, 45020 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

Mathieu Othacehe <othacehe@HIDDEN> skribis:

>> I understand the need for an easier way to create images.  However, I
>> feel like <image> is the wrong place for =E2=80=98system=E2=80=99 and =
=E2=80=98target=E2=80=99: the
>> image format, conceptually, has nothing to do with whether we=E2=80=99re
>> cross-compiling, compiling for a specific system, etc.
>
> On the one hand, I agree that adding "system" and "target" to <image>,
> so that they can override the corresponding arguments doesn't feel
> nice. On the other hand, I think that dealing with system/target is too
> low level for most users.
>
> When using Yocto, Buildroot or even OpenWrt, you say "build me an image
> for that board/machine" and not, "build me an image for that board by
> cross-compiling to this mysterious triplet".

Agreed; I understand that this is a desirable level of abstraction.

> If the user selects the image type "pine64" or "novena", it's obvious
> that the image has to be built for ARM, so I think it makes sense to
> hardcode it somewhere. The <image> record might not be the right
> location for that information but I cannot think of another one.

OTOH, I might want to cross-build a Novena image from x86_64, or I might
want to build it natively.  Perhaps what could be said is that a Novena
image can either be built natively on armhf-linux, or cross-built to
arm-linux-gnueabihf.  Perhaps we should encode this constraint rather
than a specific =E2=80=98system=E2=80=99 or =E2=80=98target=E2=80=99?  (I=
=E2=80=99m thinking out loud=E2=80=A6)

Regarding ARM boards, do you think some additional abstraction is needed
to encode cross-cutting concerns that affect not just the partition
layout and choice of a bootloader, but also kernel build options, and
maybe options for some userland packages (are there examples of that,
though?)?

Maybe the best course of action is to add all this info to <image> until
we have a better idea, after all.

I guess I=E2=80=99m contributing more questions that answers.  :-)

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#45020; Package guix-patches. Full text available.

Message received at 45020 <at> debbugs.gnu.org:


Received: (at 45020) by debbugs.gnu.org; 12 Dec 2020 12:45:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 07:45:07 2020
Received: from localhost ([127.0.0.1]:44117 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ko4Go-0002oE-OU
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2020 07:45:06 -0500
Received: from mail-wr1-f66.google.com ([209.85.221.66]:39378)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ko4Gn-0002iv-Ci
 for 45020 <at> debbugs.gnu.org; Sat, 12 Dec 2020 07:45:05 -0500
Received: by mail-wr1-f66.google.com with SMTP id c5so8099463wrp.6
 for <45020 <at> debbugs.gnu.org>; Sat, 12 Dec 2020 04:45:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=ZzqVBrw9/0ibbCO0v8yUTdzFnL3V+vSsvwGmmrmXSK4=;
 b=c10nX2lahtVd0mRNGzV94486YSxUI7j9noWEIZJcCKTfdR3KpTbpfc49PgZGWp7td3
 tBVPUExYKjX8YaS+r4HRI+vL7v4JuDqmSeNyzT0VsYhFpi1Ci9Vfer4hVH6DGAZyI9+D
 f3TwGjosLgXwsMNexATCljucK+AiyPNH5JR3baqEWAjIdwiub/1rlbqOtz8vZBq1kUwK
 zK4lTLXfszYazdHlQPuzN5y3w5by8d9Y0i4FQFM9C0NNO23A4P4dCo70+p8ljXLGc+xF
 gKHbCS32TrW+Q++PkpuyeuF9Rt+eKLgYMXfPcNntUjSN/BclCenVabkgo+vhYsgKno/5
 A0Pg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=ZzqVBrw9/0ibbCO0v8yUTdzFnL3V+vSsvwGmmrmXSK4=;
 b=hlkXspy+nTl6OFRK8Eq6cP9bB+JWotiUTdWhFi5LxkPTCuLh4C0O/WB+x+x2S334bW
 308lk+kg+FWuQqlkAc00bZTHjoaAe582qiPjOcWIBfz649SHWXhd157mVB+B/e2Pryfk
 Hn54G4dqWD8Y7Po/wjual2nGSu+5xE7jrJuPvg9yB1g8Clw0GDkEBVVSqZt6eQBLhJ3p
 xPFIRLPvD4cqJ+80osKitGuAPkeSEML7AOpucA4GONIJS6Cbjgm7UR2HBDh3qRV0eRkU
 JVOAn/a7NPpPcLqoT8s0eZTTXvUM7hq5kZ6zEiQw5VRGfOfNM/yMmYHUt0z834epMiJb
 KVJA==
X-Gm-Message-State: AOAM532lDeWxRDAuF8/gsyKtm2EtcrnNiQe0/VjEks3Df5Zr1yL/OnfH
 nWB+5wLssI6jnCwCGkDVXBCh6Qkj/OA=
X-Google-Smtp-Source: ABdhPJxE0HJ9ifKP8KHBzKw5pE5HUOnWXb1HjfLgsrSoSxzZVS32BcpCC+l0mkBvFdVLN0n/np4ugw==
X-Received: by 2002:adf:d84e:: with SMTP id k14mr10767101wrl.104.1607777099063; 
 Sat, 12 Dec 2020 04:44:59 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id w17sm18313280wmk.12.2020.12.12.04.44.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 12 Dec 2020 04:44:58 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>, Ludovic =?utf-8?Q?Court=C3=A8s?=
 <ludo@HIDDEN>
Subject: Re: [bug#45020] [PATCH 0/2] image: Add system field.
In-Reply-To: <87h7orpgsh.fsf@HIDDEN>
References: <20201203105353.149482-1-othacehe@HIDDEN>
 <87eejw5lsn.fsf@HIDDEN> <87h7orpgsh.fsf@HIDDEN>
Date: Sat, 12 Dec 2020 13:34:14 +0100
Message-ID: <86im97fbjt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45020
Cc: 45020 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Sat, 12 Dec 2020 at 09:30, Mathieu Othacehe <othacehe@HIDDEN> wrote:

> When using Yocto, Buildroot or even OpenWrt, you say "build me an image
> for that board/machine" and not, "build me an image for that board by
> cross-compiling to this mysterious triplet".

I confirm that the triplet is still mysterious to me.  Since I do not do
that often, each time I am trying, I need to browse the doc, when I am
not asking again and again on IRC.

Therefore, I do not know if the record is the correct abstraction but
somehow a mapping helper is welcome. :-) Maybe via a command-line option
displaying the =E2=80=9Cboard=E2=80=9C and the =E2=80=9Ctriplet=E2=80=9D.

All the best,
simon




Information forwarded to guix-patches@HIDDEN:
bug#45020; Package guix-patches. Full text available.

Message received at 45020 <at> debbugs.gnu.org:


Received: (at 45020) by debbugs.gnu.org; 12 Dec 2020 08:31:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 03:31:10 2020
Received: from localhost ([127.0.0.1]:43868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ko0J4-0002RG-Kf
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2020 03:31:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1ko0Iy-0002Qh-UR
 for 45020 <at> debbugs.gnu.org; Sat, 12 Dec 2020 03:31:09 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44058)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1ko0Ir-0003M4-GS; Sat, 12 Dec 2020 03:30:57 -0500
Received: from [2a01:e0a:19b:d9a0:edc2:7949:6205:c521] (port=47004 helo=cervin)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1ko0Ip-0006eS-LU; Sat, 12 Dec 2020 03:30:56 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#45020] [PATCH 0/2] image: Add system field.
References: <20201203105353.149482-1-othacehe@HIDDEN> <87eejw5lsn.fsf@HIDDEN>
Date: Sat, 12 Dec 2020 09:30:54 +0100
In-Reply-To: <87eejw5lsn.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Fri, 11 Dec 2020 17:50:48 +0100")
Message-ID: <87h7orpgsh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45020
Cc: dannym@HIDDEN, 45020 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

> I understand the need for an easier way to create images.  However, I
> feel like <image> is the wrong place for =E2=80=98system=E2=80=99 and =E2=
=80=98target=E2=80=99: the
> image format, conceptually, has nothing to do with whether we=E2=80=99re
> cross-compiling, compiling for a specific system, etc.

On the one hand, I agree that adding "system" and "target" to <image>,
so that they can override the corresponding arguments doesn't feel
nice. On the other hand, I think that dealing with system/target is too
low level for most users.

When using Yocto, Buildroot or even OpenWrt, you say "build me an image
for that board/machine" and not, "build me an image for that board by
cross-compiling to this mysterious triplet".

If the user selects the image type "pine64" or "novena", it's obvious
that the image has to be built for ARM, so I think it makes sense to
hardcode it somewhere. The <image> record might not be the right
location for that information but I cannot think of another one.

Maybe someone else?

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#45020; Package guix-patches. Full text available.

Message received at 45020 <at> debbugs.gnu.org:


Received: (at 45020) by debbugs.gnu.org; 11 Dec 2020 16:51:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 11:51:04 2020
Received: from localhost ([127.0.0.1]:42795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1knldI-000469-3U
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2020 11:51:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1knldG-00045d-C7
 for 45020 <at> debbugs.gnu.org; Fri, 11 Dec 2020 11:51:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49355)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1knldA-0003Vu-Vv; Fri, 11 Dec 2020 11:50:56 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=60170 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1knld4-0004G4-1J; Fri, 11 Dec 2020 11:50:51 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: [bug#45020] [PATCH 0/2] image: Add system field.
References: <20201203105353.149482-1-othacehe@HIDDEN>
Date: Fri, 11 Dec 2020 17:50:48 +0100
In-Reply-To: <20201203105353.149482-1-othacehe@HIDDEN> (Mathieu Othacehe's
 message of "Thu, 3 Dec 2020 11:53:51 +0100")
Message-ID: <87eejw5lsn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45020
Cc: dannym@HIDDEN, 45020 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

Mathieu Othacehe <othacehe@HIDDEN> skribis:

> Here's a small patchset to improve the creation of disk-images on non-Int=
el
> systems. Currently, when selecting "arm32-raw" or "arm64-raw" image types,
> "guix system" will try to cross-compile to the relevant architectures,
> regardless of the current system architecture.
>
> This adds a "system" field to the image definition that indicates the
> appropriate system. Then, if we are already running on this system,
> "system-image" will build the image natively instead of using
> cross-compilation. The image type "raw" is also renamed to "efi-raw" whic=
h is
> more accurate.
>
> Finally, as discussed with Danny on IRC, it could make sense to change the
> default image type depending on the current system: efi-raw on x86_64-lin=
ux
> and i686-linux, arm32-raw on armhf-linux and so on.

I understand the need for an easier way to create images.  However, I
feel like <image> is the wrong place for =E2=80=98system=E2=80=99 and =E2=
=80=98target=E2=80=99: the
image format, conceptually, has nothing to do with whether we=E2=80=99re
cross-compiling, compiling for a specific system, etc.

It also seems wrong to me that =E2=80=98--image-type=E2=80=99 would, in som=
e cases (but
not all?), override =E2=80=98-s=E2=80=99 and =E2=80=98--target=E2=80=99.

I feel like we=E2=80=99re missing an abstraction that would build on top of
images, but I=E2=80=99m not sure what that would look like.

Thoughts?

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#45020; Package guix-patches. Full text available.

Message received at 45020 <at> debbugs.gnu.org:


Received: (at 45020) by debbugs.gnu.org; 9 Dec 2020 10:27:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 05:27:52 2020
Received: from localhost ([127.0.0.1]:32873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmwhM-0004XP-OI
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2020 05:27:52 -0500
Received: from flashner.co.il ([178.62.234.194]:55610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1kmwhJ-0004XC-Vg
 for 45020 <at> debbugs.gnu.org; Wed, 09 Dec 2020 05:27:52 -0500
Received: from localhost (unknown [31.210.180.46])
 by flashner.co.il (Postfix) with ESMTPSA id 219E4402FD;
 Wed,  9 Dec 2020 10:27:44 +0000 (UTC)
Date: Wed, 9 Dec 2020 12:27:41 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: [bug#45020] [PATCH 0/2] image: Add system field.
Message-ID: <X9CmncYV5Kcegakt@E5400>
References: <20201203105353.149482-1-othacehe@HIDDEN> <X9CKFDuePL1msoo1@E5400>
 <87tusvz3nf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="gcEbErudAFx+ZRn+"
Content-Disposition: inline
In-Reply-To: <87tusvz3nf.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45020
Cc: dannym@HIDDEN, 45020 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--gcEbErudAFx+ZRn+
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Dec 09, 2020 at 11:15:32AM +0100, Mathieu Othacehe wrote:
>=20
> Hello Efraim,
>=20
> > I'm not sure about i686-linux being an efi-raw type. I always assumed
> > they were all not EFI.
>=20
> The "efi-raw" image type is actually an hybrid image type supporting EFI
> and BIOS legacy boot methods.
>=20
> Maybe we should then rename "raw" to "bios-efi-raw" or
> "bios-efi-hybrid-raw", what do you think?

My hope is to eventually produce an image for mips64el again, which
would need an ext2 formatted /boot partition. I'm hoping to make it not
too hard to hack that in in the future :)

Perhaps it makes sense to name them according to the architecture more?
we have arm32-raw and aarch64-raw, how about i686-raw and x86_64-raw?
Make it clear exactly what architecures they target. Then we can
continue with the hybrid bios/efi images anyway.

> Thanks,
>=20
> Mathieu

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--gcEbErudAFx+ZRn+
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl/QppoACgkQQarn3Mo9
g1EsfQ//eZC07dXC7NPASn5bvRfYw7z2KJD10BrHGLpHaunnSfafV1NEdXd0UAc6
H4khsMIv8u2DKTxrpPjyHRDruKhMOqAW1xffAVb1nq95+T8Dk0w3W6LTUfBSGAbg
rfNRkis86k8UoGFBiuQxf33kQKamX4ILRNgPOIn3CKF4b9d6ilV/vkPfSkCRrn9n
sORySVbVpyMvMCr4v3+Xwk24DI5Mc1CB8QpRDi+hY3QObWZwQZNv/LNw4I8yvZwu
VtM0VkWK9uIG4QTwPMYFRF6EDdDqY/T34PbP2QW63huT2KfEAofT9UXFzX2TVXc7
GMmBEnAbQsLMBM/Cir53/csOvAoKOFUsY2vIro3sjhH/Jk1nzs5M+rG7bZq/1dJ1
wRBZHZXg5bbMs3ttxF8PW0mVVqoE1jCbeU3T4hsYFfbIPQLKA8rYoS0Zo0yhp/vU
cdnTtM0cOfndhoGYpCzDHCob/zeE4qwF+FdanQzcLMJ3BC91qnyo9HRCjL89K8F/
GdKT/m6K/HGrrrL/+C8VoHAEKu5vX4FpkElWlOBubUEVFaRI1ksdPlSNiYr944tb
SrqflBHu7psVkwgaxPc3/pABdTPiJp+z4eX9DZ6/Aiu1ThUCxda4qloq0zi4XfdN
voKFyNcjF7SdMWs6aSZNrt+5ZoWotlLh9YHAn3w60mIO4nNegHs=
=fult
-----END PGP SIGNATURE-----

--gcEbErudAFx+ZRn+--




Information forwarded to guix-patches@HIDDEN:
bug#45020; Package guix-patches. Full text available.

Message received at 45020 <at> debbugs.gnu.org:


Received: (at 45020) by debbugs.gnu.org; 9 Dec 2020 10:15:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 05:15:42 2020
Received: from localhost ([127.0.0.1]:32858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmwVa-0004E8-Fn
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2020 05:15:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1kmwVX-0004Du-Uq
 for 45020 <at> debbugs.gnu.org; Wed, 09 Dec 2020 05:15:40 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43437)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1kmwVS-0007nY-6d; Wed, 09 Dec 2020 05:15:34 -0500
Received: from [2a01:e0a:19b:d9a0:e14f:e746:85df:3f38] (port=52506 helo=cervin)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1kmwVR-0006Th-Qh; Wed, 09 Dec 2020 05:15:34 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#45020] [PATCH 0/2] image: Add system field.
References: <20201203105353.149482-1-othacehe@HIDDEN> <X9CKFDuePL1msoo1@E5400>
Date: Wed, 09 Dec 2020 11:15:32 +0100
In-Reply-To: <X9CKFDuePL1msoo1@E5400> (Efraim Flashner's message of "Wed, 9
 Dec 2020 10:25:56 +0200")
Message-ID: <87tusvz3nf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45020
Cc: dannym@HIDDEN, 45020 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Efraim,

> I'm not sure about i686-linux being an efi-raw type. I always assumed
> they were all not EFI.

The "efi-raw" image type is actually an hybrid image type supporting EFI
and BIOS legacy boot methods.

Maybe we should then rename "raw" to "bios-efi-raw" or
"bios-efi-hybrid-raw", what do you think?

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#45020; Package guix-patches. Full text available.

Message received at 45020 <at> debbugs.gnu.org:


Received: (at 45020) by debbugs.gnu.org; 9 Dec 2020 08:26:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 03:26:11 2020
Received: from localhost ([127.0.0.1]:60905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmuna-0001PW-Q3
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2020 03:26:11 -0500
Received: from flashner.co.il ([178.62.234.194]:55406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1kmunU-0001Ov-I8
 for 45020 <at> debbugs.gnu.org; Wed, 09 Dec 2020 03:26:09 -0500
Received: from localhost (unknown [31.210.180.46])
 by flashner.co.il (Postfix) with ESMTPSA id 80A2740304;
 Wed,  9 Dec 2020 08:25:58 +0000 (UTC)
Date: Wed, 9 Dec 2020 10:25:56 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: [bug#45020] [PATCH 0/2] image: Add system field.
Message-ID: <X9CKFDuePL1msoo1@E5400>
References: <20201203105353.149482-1-othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="NK4z4b9DexkAYi2Z"
Content-Disposition: inline
In-Reply-To: <20201203105353.149482-1-othacehe@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45020
Cc: dannym@HIDDEN, 45020 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--NK4z4b9DexkAYi2Z
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Dec 03, 2020 at 11:53:51AM +0100, Mathieu Othacehe wrote:
> Hello,
>=20
> Here's a small patchset to improve the creation of disk-images on non-Int=
el
> systems. Currently, when selecting "arm32-raw" or "arm64-raw" image types,
> "guix system" will try to cross-compile to the relevant architectures,
> regardless of the current system architecture.
>=20
> This adds a "system" field to the image definition that indicates the
> appropriate system. Then, if we are already running on this system,
> "system-image" will build the image natively instead of using
> cross-compilation. The image type "raw" is also renamed to "efi-raw" whic=
h is
> more accurate.
>=20
> Finally, as discussed with Danny on IRC, it could make sense to change the
> default image type depending on the current system: efi-raw on x86_64-lin=
ux
> and i686-linux, arm32-raw on armhf-linux and so on.
>=20
> WDYT?

I'm not sure about i686-linux being an efi-raw type. I always assumed
they were all not EFI.

> Thanks,
>=20
> Mathieu
>=20
> Mathieu Othacehe (2):
>   image: Add system field.
>   image: Rename "raw" image-type to "efi-raw".
>=20
>  doc/guix.texi           | 10 +++++-----
>  gnu/image.scm           |  3 +++
>  gnu/system/image.scm    | 18 ++++++++++++++----
>  guix/scripts/system.scm |  2 +-
>  4 files changed, 23 insertions(+), 10 deletions(-)
>=20
> --=20
> 2.29.2
>=20
>=20
>=20
>=20

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--NK4z4b9DexkAYi2Z
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl/QihAACgkQQarn3Mo9
g1Eocw//cO/24DOCCLFMN6jyRCZ2tZyUGWfHIU8b/mDoTaPvPYLh+eV9U2CPNcMJ
ScDLwYgjbf0oLFF48auu/i0mki4SUeFWTUe2VyidOhH/MTI9lYGUtIsqXN+W71dh
GViu91Q4DgoUz/GvNbYYBNREudsFR9uvbhsztDPrQFKCTSS4ZZJdnvUKTqYG3pXT
aqAc7voMpSknoyWv204VSsywqodwYCYRXJNq4LkzMuxcMS22XRUnXiTJaqJIXuDB
uuSSfRVEOkixwqJF86aG6gJO48iRKccqxuEFH2prd116NJYkzUd20huHSNG6xxcq
pnMLj/HwmUn/XrWyy2pWeUjwaT8xsbCNiIgleA20m5jxvP8LJ6r93HXa7bI1i72/
EO/uqysb6ultISMb8mqNBA9eRbI1FXu4B0EHj9ol74RBBE3ruStrA325DOmA4IcJ
75FfQ13U4vbN7zoCn3gfFf+rZjMxxPU4z8GqtkiIGxS81MvxC0w/nQof/QDKjKry
fHrs5xnO6FxVUg4lYwKh02vJsvMDxcfPZLmJU3Pbc6Lm+IAyNSqKfErRu0m9DFed
CiSy8N0GA24KxHqBYsFicDpMNQUneMRKUYmymwoj4KsbB1ozlqcKzSkDt+D1129q
3TxdiY12hpWb2BSn/HATLbVA5eXwymaOXq+x+JSqL6T83iMqALA=
=4TJx
-----END PGP SIGNATURE-----

--NK4z4b9DexkAYi2Z--




Information forwarded to guix-patches@HIDDEN:
bug#45020; Package guix-patches. Full text available.

Message received at 45020 <at> debbugs.gnu.org:


Received: (at 45020) by debbugs.gnu.org; 3 Dec 2020 13:15:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 03 08:15:47 2020
Received: from localhost ([127.0.0.1]:38941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kkoSZ-0005hI-MQ
	for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 08:15:47 -0500
Received: from mail-wr1-f66.google.com ([209.85.221.66]:39138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kkoSX-0005aD-OR
 for 45020 <at> debbugs.gnu.org; Thu, 03 Dec 2020 08:15:47 -0500
Received: by mail-wr1-f66.google.com with SMTP id e7so1829559wrv.6
 for <45020 <at> debbugs.gnu.org>; Thu, 03 Dec 2020 05:15:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=PIVOlh8auBI3MByLYlcVljbQmfTnfIYNNDKlYKL9IF4=;
 b=Nm8BPYSgGJoTbL8dwV0V1UD0LPOQBnj/2FBuBQoMMAzhxXeyYH8CmrTqmNuK1vy5+i
 vr134TBhgduqgYIbiKbWRmO6lm5s5JeE3ERyrdWY90Iv/SmIROfUrumn16bSGNyzKaOB
 cH7eUSemNtpkA9oAnBi6ZLDYhhxtSw7DTgmR83FzUezRGM1D9RZSrMye6Ck2AIhBgMxi
 dV1QhtvuxR3PjTxSC/NUzE1dBHWI5VUPJiRqb2UM9XGS8fHEIOeJUFDpmitwurFeiUyf
 OWxYnRFAmoGAlHo0vOkXSdUTQFs2sgkwqbg8gT6vUL3Zoxd0IQw8mnutz14EBV6DU74R
 gARQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=PIVOlh8auBI3MByLYlcVljbQmfTnfIYNNDKlYKL9IF4=;
 b=PaI/gwYEoDBnwF4XPc5iCrNDLebEsAL5nHya/SRsotEhnO4S+ME25Yjfh9DKIxh8g6
 4M33Hiwga9C8vzTW1sZDeUM79cE0EGOUIrHYjP75X2ZaNveASDQKPjlnfun+KEB0iomQ
 as4vBkpCstdLPValYSZ6zo2fnxD9c2d0InrbpO7+vyL3+lZBDdUlZa/zYpwA2RmOwoKW
 LwHWiwJ3nVAZGCjxXHkUbRtB58H5dTJceHuAeP/Xagix4WA5EBFPRiAlk3LeQNqb44Mo
 wvOqt7UQ92bhwzg3/+N2+UhUcqz5E99XHNavchxmWlWQ6D6aKPSLEmE6HR+pYOMYG3rd
 ONmQ==
X-Gm-Message-State: AOAM53066TaDQYvQPb3JfD+6ag/hJw+9RLLzu0K1Y066rWh7Fv+EMeEB
 /nMRn9nBBnwaC2jOUgO4kRA=
X-Google-Smtp-Source: ABdhPJxE8qMgs74DfEn58qHEMKGJTxvG5685M8so5eiNPXLySFnaIcKZ3zafd6v4mvm0T5YwZyivRA==
X-Received: by 2002:adf:f608:: with SMTP id t8mr3789104wrp.72.1607001339766;
 Thu, 03 Dec 2020 05:15:39 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id v189sm1465087wmg.14.2020.12.03.05.15.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 03 Dec 2020 05:15:39 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>, 45020 <at> debbugs.gnu.org
Subject: Re: [bug#45020] [PATCH 0/2] image: Add system field.
In-Reply-To: <20201203105353.149482-1-othacehe@HIDDEN>
References: <20201203105353.149482-1-othacehe@HIDDEN>
Date: Thu, 03 Dec 2020 14:11:17 +0100
Message-ID: <86eek7yqyy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45020
Cc: dannym@HIDDEN, Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Mathieu,

On Thu, 03 Dec 2020 at 11:53, Mathieu Othacehe <othacehe@HIDDEN> wrote:

> Finally, as discussed with Danny on IRC, it could make sense to change the
> default image type depending on the current system: efi-raw on x86_64-lin=
ux
> and i686-linux, arm32-raw on armhf-linux and so on.

The =E2=80=9Cless astonishment=E2=80=9D default sounds good to me. :-)


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#45020; Package guix-patches. Full text available.
Merged 45020 45021 45022. Request was from Mathieu Othacehe <mathieu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 45020 45021. Request was from Mathieu Othacehe <mathieu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Dec 2020 10:54:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 03 05:54:15 2020
Received: from localhost ([127.0.0.1]:38571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kkmFb-0003Gg-0e
	for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 05:54:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:43668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1kkmFZ-0003GZ-SM
 for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 05:54:14 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:46668)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>) id 1kkmFZ-0003gs-3o
 for guix-patches@HIDDEN; Thu, 03 Dec 2020 05:54:13 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41174)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1kkmFX-0001lL-S0; Thu, 03 Dec 2020 05:54:12 -0500
Received: from [2a01:e0a:19b:d9a0:6132:5f9a:6e69:6e32] (port=54264
 helo=localhost.localdomain)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1kkmFT-0006vx-W9; Thu, 03 Dec 2020 05:54:09 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/2] image: Add system field.
Date: Thu,  3 Dec 2020 11:53:51 +0100
Message-Id: <20201203105353.149482-1-othacehe@HIDDEN>
X-Mailer: git-send-email 2.29.2
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: dannym@HIDDEN, Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Here's a small patchset to improve the creation of disk-images on non-Intel
systems. Currently, when selecting "arm32-raw" or "arm64-raw" image types,
"guix system" will try to cross-compile to the relevant architectures,
regardless of the current system architecture.

This adds a "system" field to the image definition that indicates the
appropriate system. Then, if we are already running on this system,
"system-image" will build the image natively instead of using
cross-compilation. The image type "raw" is also renamed to "efi-raw" which is
more accurate.

Finally, as discussed with Danny on IRC, it could make sense to change the
default image type depending on the current system: efi-raw on x86_64-linux
and i686-linux, arm32-raw on armhf-linux and so on.

WDYT?

Thanks,

Mathieu

Mathieu Othacehe (2):
  image: Add system field.
  image: Rename "raw" image-type to "efi-raw".

 doc/guix.texi           | 10 +++++-----
 gnu/image.scm           |  3 +++
 gnu/system/image.scm    | 18 ++++++++++++++----
 guix/scripts/system.scm |  2 +-
 4 files changed, 23 insertions(+), 10 deletions(-)

-- 
2.29.2





Acknowledgement sent to Mathieu Othacehe <othacehe@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#45020; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 12 Dec 2020 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.